package com.ZoS.RoyalFlush.Input;

import org.lwjgl.input.Mouse;
import com.ZoS.RoyalFlush.GUI.Window;

public class MouseCursor {
	
	Window window;
	
	public MouseCursor(Window _window) {
		window = _window;
	}
	
	public int getButtonCount() {
		return Mouse.getButtonCount();
	}
	
	public int getButtonIndex(String _buttonName) {
		return Mouse.getButtonIndex(_buttonName);
	}
	
	public String getButtonName(int _button) {
		return Mouse.getButtonName(_button);
	}
	
	public int getDWheel() {
		return Mouse.getDWheel();
	}
	
	public int getDeltaX() {
		return Mouse.getDX();
	}
	
	public int getDeltaY() {
		return Mouse.getDY();
	}
	
	public boolean hasWheel() {
		return Mouse.hasWheel();
	}
	
	public int getX() {
		return Mouse.getX();
	}
	
	public int getY() {
		return (window.getHeight() - Mouse.getY());
	}
	
	public boolean isButtonDown(int _button) {
		return Mouse.isButtonDown(_button);
	}
	
	public boolean isClipMouseCoordinatesToWindow() {
		return Mouse.isClipMouseCoordinatesToWindow();
	}
	
	public boolean isInsideWindow() {
		return Mouse.isInsideWindow();
	}
	
	public void setClipMouseCoordinatesToWindow(boolean _clip) {
		Mouse.setClipMouseCoordinatesToWindow(_clip);
	}
	
	public void setCursorPosition(int _x, int _y) {
		Mouse.setCursorPosition(_x, _y);
	}
}