package com.ZoS.RoyalFlush.Math;

import com.ZoS.RoyalFlush.Exceptions.DivideByZeroException;

/**
 * This is a class of simple math functions used to test the implementation of
 * unit tests.
 * 
 * @author  JpDeathBlade
 * @version 1.0
 */

public class Simple {
	
	public int add(int _a, int _b) {
		return _a  + _b;
	}
	
	public int subtract(int _a, int _b) {
		return _a - _b;
	}
	
    public int divide(int _a, int _b) throws DivideByZeroException {
        if(_b == 0) {
        	throw new DivideByZeroException("Simple.java: Tried to divide by 0.");
        }
        
        return _a / _b;
    }
}