package com.ZoS.RoyalFlush.Math;

import static org.junit.Assert.*;

import org.junit.After;
import org.junit.Before;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.ExpectedException;

import com.ZoS.RoyalFlush.Exceptions.DivideByZeroException;

public class SimpleTest {

	private Simple simpleObject;
	
	@Rule
	public ExpectedException exception = ExpectedException.none();

	@Before
	public void setUp() {
		simpleObject = new Simple();
	}
	
	@After
	public void tearDown() {
		
	}

	@Test
	public void test_AddTwoPositives() {
		assertEquals("FAILED: test_AddTwoPositives", simpleObject.add(1,2), 3);
	}
	
	@Test
	public void test_AddTwoNegitives() {
		assertEquals("FAILED: test_AddTwoNegitives", simpleObject.add(-1,-2), -3);
	}
    
	@Test
	public void test_Divide() throws DivideByZeroException {
		assertEquals("FAILED: test_Divide", simpleObject.divide(4,2), 2);
	}
	
    @Test
    public void test_DivisionByZero() throws DivideByZeroException {
    	exception.expect(DivideByZeroException.class);
        simpleObject.divide(1,0);
    }
}