package com.ZoS.RoyalFlush.Geometry2D;

public class Point2D {
	protected double x;
	protected double y;
	
	public Point2D() {
		this(0.0f, 0.0f);
	}
	
	public Point2D(double _x, double _y) {
		x = _x;
		y = _y;
	}
	
	public Point2D(Point2D _point) {
		x = _point.getX();
		y = _point.getY();
	}
	
	public boolean equals(double _x, double _y) {
		if(_x == x && _y == y) {
			return true;
		}
		else {
			return false;
		}
	}
	
	public boolean equals(Point2D _point) {
		if(_point.getX() == x && _point.getY() == y) {
			return true;
		}
		else {
			return false;
		}
	}
	
	public double getDistance(double _x, double _y) {
		double distance = this.getDistanceSq(_x, _y);
		return Math.sqrt(distance);
	}
	
	public double getDistance(Point2D _point) {
		double distance = this.getDistanceSq(_point);
		return Math.sqrt(distance);
	}
	
	public double getDistanceSq(double _x, double _y) {
		double newX = _x - x;
		double newY = _y - y;
		
		newX = (newX * newX);
		newY = (newY * newY);
		
		double distance = (newX + newY);
		return distance;
	}
	
	public double getDistanceSq(Point2D _point) {
		double newX = _point.getX() - x;
		double newY = _point.getY() - y;
		
		newX = (newX * newX);
		newY = (newY * newY);

		double distance = (newX + newY);
		return distance;
	}
	
	public double getX() {
		return x;
	}
	
	public double getY() {
		return y;
	}
	
	public Point2D getLocation() {
		return this;
	}
	
	public void setX(double _x) {
		x = _x;
	}
	
	public void setY(double _y) {
		y = _y;
	}
	
	public void setLocation(double _x, double _y) {
		x = _x;
		y = _y;
	}
	
	public void setLocation(Point2D _point) {
		x = _point.getX();
		y = _point.getY();
	}
	
	public String toString() {
		return "Point - X: " + x + " Y: " + y;
	}
}