package com.ZoS.RoyalFlush.Geometry2D;

public class Rectangle2D {

	protected double x;
	protected double y;
	protected double width;
	protected double height;
	
	public Rectangle2D() {
		this(0.0,0.0,1.0,1.0);
	}
	
	public Rectangle2D(double _x, double _y, double _width, double _height) {
		x = _x;
		y = _y;
		width = _width;
		height = _height;
	}
	
	public Rectangle2D(Point2D _topLeft, Point2D _bottomRight) {
		x = _topLeft.getX();
		y = _topLeft.getY();
		width = _bottomRight.getX();
		height = _bottomRight.getY();
	}
	
	public Rectangle2D(Rectangle2D _rect) {
		x = _rect.getX();
		y = _rect.getY();
		width = _rect.getWidth();
		height = _rect.getHeight();
	}
	
	//TODO: Actually write this function.
	public boolean contains(Rectangle2D _rect) {
		return false;
	}
	
	//TODO: Actually write this function.
	public boolean contains(Point2D _point) {
		return false;
	}
	
	public boolean equals(Rectangle2D _rect) {
		if(_rect.getX() == x && _rect.getY() == y &&
			_rect.getWidth() == width && _rect.getHeight() == height) {
			return true;
		}
		else {
			return false;
		}
	}
	
	public Rectangle2D getBounds() {
		return this;
	}
	
	public Point2D getTopLeft() {
		return new Point2D(x, y);
	}
	
	public Point2D getTopRight() {
		return new Point2D(width, y);
	}
	
	public Point2D getBottomLeft() {
		return new Point2D(x, height);
	}
	
	public Point2D getBottomRight() {
		return new Point2D(width, height);
	}
	
	public Point2D getCenter() {
		return new Point2D(x+(width/2), y+(height/2));
	}
	
	public double getX() {
		return x;
	}
	
	public double getY() {
		return y;
	}
	
	public double getWidth() {
		return width;
	}
	
	public double getHeight() {
		return height;
	}
	
	public void setX(double _x) {
		x = _x;
	}
	
	public void setY(double _y) {
		y = _y;
	}
	
	public void setWidth(double _width) {
		width = _width;
	}
	
	public void setHeight(double _height) {
		height = _height;
	}
}