package com.ZoS.RoyalFlush.Models;

import org.lwjgl.opengl.GL11;

public abstract class AxisGuide {
	
	/**
	 * Draws a 3D Axis Guide.
	 */
	static public void draw3DAxisGuide() {
		draw3DAxisGuide(1.0f);
	}
	
	/**
	 * Draws a 3D Axis Guide the size passed in.
	 * @param _unit - size of the final 3D Axis Guide.
	 */
	static public void draw3DAxisGuide(float _unit) {
		GL11.glBegin(GL11.GL_LINES);
		{
			GL11.glColor3f(1.0f, 0.0f, 0.0f);
			GL11.glVertex3f(0.0f, 0.0f, 0.0f);		// Center
			GL11.glColor3f(1.0f, 0.0f, 0.0f);
			GL11.glVertex3f(_unit, 0.0f, 0.0f);		// X
		
			GL11.glColor3f(0.0f, 1.0f, 0.0f);
			GL11.glVertex3f(0.0f, 0.0f, 0.0f);		// Center
			GL11.glColor3f(0.0f, 1.0f, 0.0f);
			GL11.glVertex3f(0.0f, _unit, 0.0f);		// Y
		
			GL11.glColor3f(0.0f, 0.0f, 1.0f);
			GL11.glVertex3f(0.0f, 0.0f, 0.0f);		// Center
			GL11.glColor3f(0.0f, 0.0f, 1.0f);
			GL11.glVertex3f(0.0f, 0.0f, _unit);		// X
		}
		GL11.glEnd();
	}
}