package com.ZoS.RoyalFlush.Models;

import org.lwjgl.opengl.GL11;

public abstract class Cube {
	
	/**
	 * Draws a unit cube.
	 */
	static public void draw3DCube() {
		draw3DCube(1.0f);
	}
	
	/**
	 * Draws a cube based the size passed in.
	 * @param _unit - size of the final cube.
	 */
	static public void draw3DCube(float _unit) {
		
		GL11.glBegin(GL11.GL_TRIANGLES);
		{
			//TODO: Draw a mofucking cube!
			//Front, +Z Axis - Blue
			GL11.glColor3f(0.0f, 0.0f, 1.0f);
			GL11.glVertex3f( _unit, 0.0f, _unit);		// Front: Bottom Right 
			GL11.glVertex3f( _unit,  _unit, _unit);		// Front: Top Right
			GL11.glVertex3f( 0.0f,  _unit, _unit);		// Front: Top Left
			GL11.glVertex3f( 0.0f,  _unit, _unit);		// Front: Top Left
			GL11.glVertex3f( 0.0f, 0.0f, _unit);		// Front: Bottom Left
			GL11.glVertex3f( _unit, 0.0f, _unit);		// Front: Bottom Right 
			
			//Back, -Z Axis - Cyan
			GL11.glColor3f(0.0f, 1.0f, 1.0f);
			GL11.glVertex3f( 0.0f, 0.0f, 0.0f);			// Back: Bottom Right 
			GL11.glVertex3f( 0.0f,  _unit, 0.0f);		// Back: Top Right
			GL11.glVertex3f( _unit,  _unit, 0.0f);		// Back: Top Left
			GL11.glVertex3f( _unit,  _unit, 0.0f);		// Back: Top Left
			GL11.glVertex3f( _unit, 0.0f, 0.0f);		// Back: Bottom Left
			GL11.glVertex3f( 0.0f, 0.0f, 0.0f);			// Back: Bottom Right 
			
			//Right Side, +X Axis - Red
			GL11.glColor3f(1.0f, 0.0f, 0.0f);
			GL11.glVertex3f( _unit, 0.0f, 0.0f);		// Right Side: Bottom Right 
			GL11.glVertex3f( _unit, _unit, 0.0f);		// Right Side: Top Right
			GL11.glVertex3f( _unit, _unit, _unit);		// Right Side: Top Left
			GL11.glVertex3f( _unit, _unit, _unit);		// Right Side: Top Left
			GL11.glVertex3f( _unit, 0.0f, _unit);		// Right Side: Bottom Left
			GL11.glVertex3f( _unit, 0.0f, 0.0f);		// Right Side: Bottom Right 
			
			//Left Side, -X Axis - Magenta
			GL11.glColor3f(1.0f, 0.0f, 1.0f);
			GL11.glVertex3f( 0.0f, 0.0f, _unit);		// Left Side: Bottom Right 
			GL11.glVertex3f( 0.0f, _unit, _unit);		// Left Side: Top Right
			GL11.glVertex3f( 0.0f, _unit, 0.0f);		// Left Side: Top Left
			GL11.glVertex3f( 0.0f, _unit, 0.0f);		// Left Side: Top Left
			GL11.glVertex3f( 0.0f, 0.0f, 0.0f);			// Left Side: Bottom Left
			GL11.glVertex3f( 0.0f, 0.0f, _unit);		// Left Side: Bottom Right 
			
			//Top, +Y Axis - Green
			GL11.glColor3f(0.0f, 1.0f, 0.0f);
			GL11.glVertex3f( _unit, _unit, _unit);		// Top: Bottom Right
			GL11.glVertex3f( _unit, _unit, 0.0f);		// Top: Top Right
			GL11.glVertex3f( 0.0f, _unit, 0.0f);		// Top: Top Left
			GL11.glVertex3f( 0.0f, _unit, 0.0f);		// Top: Top Left
			GL11.glVertex3f( 0.0f, _unit, _unit);		// Top: Bottom Left
			GL11.glVertex3f( _unit, _unit, _unit);		// Top: Bottom Right
			
			//Bottom, -Y Axis - Yellow
			GL11.glColor3f(1.0f, 1.0f, 0.0f);
			GL11.glVertex3f( 0.0f, 0.0f, _unit);		// Bottom: Bottom Right
			GL11.glVertex3f( 0.0f, 0.0f, 0.0f);			// Bottom: Top Right
			GL11.glVertex3f( _unit, 0.0f, 0.0f);		// Bottom: Top Left
			GL11.glVertex3f( _unit, 0.0f, 0.0f);		// Bottom: Top Left
			GL11.glVertex3f( _unit, 0.0f, _unit);		// Bottom: Bottom Left
			GL11.glVertex3f( 0.0f, 0.0f, _unit);		// Bottom: Bottom Right
		}
		GL11.glEnd();
	}
}